## rust-lv2 0.6.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	mkdir -p export
	./make_chapters.py
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
recommonmark
sphinx
sphinx_rtd_theme

=== debian/changelog ===
rust-lv2 (0.6.0-1) unstable; urgency=medium

  * Package lv2 0.6.0 from crates.io using debcargo 2.6.0

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 22 Nov 2023 15:14:09 +0100

=== debian/control ===
Source: rust-lv2
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-lv2-atom-2+default-dev <!nocheck>,
 librust-lv2-core-3+default-dev <!nocheck>,
 librust-lv2-midi-1+default-dev (>= 1.2.0-~~) <!nocheck>,
 librust-lv2-midi-1+wmidi-dev (>= 1.2.0-~~) <!nocheck>,
 librust-lv2-units-0.1+default-dev (>= 0.1.3-~~) <!nocheck>,
 librust-lv2-urid-2+default-dev (>= 2.1.0-~~) <!nocheck>,
 librust-urid-0.1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Andreas Henriksson <andreas@fatal.se>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/lv2]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/lv2
X-Cargo-Crate: lv2
Rules-Requires-Root: no

Package: librust-lv2-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-lv2-atom-2+default-dev,
 librust-lv2-core-3+default-dev,
 librust-lv2-midi-1+default-dev (>= 1.2.0-~~),
 librust-lv2-midi-1+wmidi-dev (>= 1.2.0-~~),
 librust-lv2-state-2+default-dev,
 librust-lv2-sys-2+default-dev,
 librust-lv2-time-0.1+default-dev (>= 0.1.3-~~),
 librust-lv2-units-0.1+default-dev (>= 0.1.3-~~),
 librust-lv2-urid-2+default-dev (>= 2.1.0-~~),
 librust-lv2-worker-0.1+default-dev (>= 0.1.1-~~),
 librust-urid-0.1+default-dev
Provides:
 librust-lv2+default-dev (= ${binary:Version}),
 librust-lv2+full-dev (= ${binary:Version}),
 librust-lv2+lv2-atom-dev (= ${binary:Version}),
 librust-lv2+lv2-core-dev (= ${binary:Version}),
 librust-lv2+lv2-midi-dev (= ${binary:Version}),
 librust-lv2+lv2-state-dev (= ${binary:Version}),
 librust-lv2+lv2-sys-dev (= ${binary:Version}),
 librust-lv2+lv2-time-dev (= ${binary:Version}),
 librust-lv2+lv2-units-dev (= ${binary:Version}),
 librust-lv2+lv2-urid-dev (= ${binary:Version}),
 librust-lv2+lv2-worker-dev (= ${binary:Version}),
 librust-lv2+minimal-plugin-dev (= ${binary:Version}),
 librust-lv2+plugin-dev (= ${binary:Version}),
 librust-lv2+urid-dev (= ${binary:Version}),
 librust-lv2+wmidi-dev (= ${binary:Version}),
 librust-lv2-0-dev (= ${binary:Version}),
 librust-lv2-0+default-dev (= ${binary:Version}),
 librust-lv2-0+full-dev (= ${binary:Version}),
 librust-lv2-0+lv2-atom-dev (= ${binary:Version}),
 librust-lv2-0+lv2-core-dev (= ${binary:Version}),
 librust-lv2-0+lv2-midi-dev (= ${binary:Version}),
 librust-lv2-0+lv2-state-dev (= ${binary:Version}),
 librust-lv2-0+lv2-sys-dev (= ${binary:Version}),
 librust-lv2-0+lv2-time-dev (= ${binary:Version}),
 librust-lv2-0+lv2-units-dev (= ${binary:Version}),
 librust-lv2-0+lv2-urid-dev (= ${binary:Version}),
 librust-lv2-0+lv2-worker-dev (= ${binary:Version}),
 librust-lv2-0+minimal-plugin-dev (= ${binary:Version}),
 librust-lv2-0+plugin-dev (= ${binary:Version}),
 librust-lv2-0+urid-dev (= ${binary:Version}),
 librust-lv2-0+wmidi-dev (= ${binary:Version}),
 librust-lv2-0.6-dev (= ${binary:Version}),
 librust-lv2-0.6+default-dev (= ${binary:Version}),
 librust-lv2-0.6+full-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-atom-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-core-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-midi-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-state-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-sys-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-time-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-units-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-urid-dev (= ${binary:Version}),
 librust-lv2-0.6+lv2-worker-dev (= ${binary:Version}),
 librust-lv2-0.6+minimal-plugin-dev (= ${binary:Version}),
 librust-lv2-0.6+plugin-dev (= ${binary:Version}),
 librust-lv2-0.6+urid-dev (= ${binary:Version}),
 librust-lv2-0.6+wmidi-dev (= ${binary:Version}),
 librust-lv2-0.6.0-dev (= ${binary:Version}),
 librust-lv2-0.6.0+default-dev (= ${binary:Version}),
 librust-lv2-0.6.0+full-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-atom-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-core-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-midi-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-state-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-sys-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-time-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-units-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-urid-dev (= ${binary:Version}),
 librust-lv2-0.6.0+lv2-worker-dev (= ${binary:Version}),
 librust-lv2-0.6.0+minimal-plugin-dev (= ${binary:Version}),
 librust-lv2-0.6.0+plugin-dev (= ${binary:Version}),
 librust-lv2-0.6.0+urid-dev (= ${binary:Version}),
 librust-lv2-0.6.0+wmidi-dev (= ${binary:Version})
Description: Safe, fast, and ergonomic framework to create LV2 plugins - Rust source code
 This package contains the source for the Rust lv2 crate, packaged by debcargo
 for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --all-features
Features: test-name=rust-lv2:@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets
Features: test-name=librust-lv2-dev:default
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features full
Features: test-name=librust-lv2-dev:full
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-atom
Features: test-name=librust-lv2-dev:lv2-atom
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-core
Features: test-name=librust-lv2-dev:lv2-core
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-midi
Features: test-name=librust-lv2-dev:lv2-midi
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-state
Features: test-name=librust-lv2-dev:lv2-state
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-sys
Features: test-name=librust-lv2-dev:lv2-sys
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-time
Features: test-name=librust-lv2-dev:lv2-time
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-units
Features: test-name=librust-lv2-dev:lv2-units
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-urid
Features: test-name=librust-lv2-dev:lv2-urid
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features lv2-worker
Features: test-name=librust-lv2-dev:lv2-worker
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test lv2 0.6.0 --all-targets --no-default-features --features minimal_plugin
Features: test-name=librust-lv2-dev:minimal_plugin

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/lv2-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/lv2 .*/crates/lv2/@ANY_VERSION@/download
